package com.emilianomaccaferri.library;

import java.util.HashMap;

public class Book {

    private String title;
    private String author;
    private int year;
    private String genre;
    private double price;
    private int pages;

    public Book(String title, String author, int pages, int year, String genre, double price){

        this.title = title;
        this.author = author;
        this.pages = pages;
        this.year = year;
        this.price = price;
        this.genre = genre;

    }

    public Book(){

        this.title = "";
        this.author = "";
        this.pages = 0;
        this.year = 0;
        this.price = 0.0;
        this.genre = "";

    }

    public void setTitle(String title){

        this.title = title;

    }

    public void setAuthor(String author){

        this.author = author;

    }

    public void setPages(int pages){

        this.pages = pages;

    }

    public void setYear(int year){

        this.year = year;

    }

    public void setPrice(float price){

        this.price = (double)price;

    }

    public void setPrice(double price){

        this.price = price;

    }

    public void setGenre(String genre){

        this.genre = genre;

    }

    public HashMap<String, String> getInfos(){

        HashMap<String, String> bookInfos = new HashMap<>();

        bookInfos.put("title", this.title);
        bookInfos.put("author", this.author);
        bookInfos.put("pages", String.valueOf(this.pages));
        bookInfos.put("year", String.valueOf(this.year));
        bookInfos.put("price", String.valueOf(this.price));
        bookInfos.put("genre", this.genre);

        return bookInfos;

    }

}
