package com.emilianomaccaferri.library;

import java.util.ArrayList;

public class Library {

    private ArrayList<Book> books;
    private final int maxBooks = 100;
    private int numberOfBooks;

    public Library(){

        books = new ArrayList<>();
        numberOfBooks = 0;

    }

    public Library(Book[] books) {

        for(int i = 0; i < books.length; i++){

            this.books.add(books[i]);

        }

        numberOfBooks = this.books.size();

    }

    public Library(Book book){

        this.books.add(book);
        this.numberOfBooks = 1;

    }

    public boolean available(){

        if((maxBooks - numberOfBooks) > 0)
            return true;

        return false;

    }

    public int getNumberOfBooks(){

        return numberOfBooks;

    }

    public void insertBook(Book b){

        books.add(b);
        numberOfBooks++;

    }

    public int booksByGenre(String genre){

        int books = 0;

        for(int i = 0; i < numberOfBooks; i ++){

            if(this.books.get(i).getInfos().get("genre") == genre){

                books++;

            }

        }

        return books;

    }

    public Book getBook(String title){

        for(int i = 0; i < numberOfBooks; i ++){

            if(this.books.get(i).getInfos().get("title") == title){

                return this.books.get(i);

            }

        }

        return null;
    }

}
